<interface domain="gnome-logs">
    <template class="GlEventViewList" parent="GtkBox">
        <property name="orientation">horizontal</property>
        <property name="visible">True</property>
	<child>
            <object class="HdyFlap">
                <property name="visible">True</property>
                <child type="flap">
                    <object class="GlCategoryList" id="categories">
                        <style>
                            <class name="categories"/>
                        </style>
                    </object>
                </child>
                <child type="separator">
                    <object class="GtkSeparator" id="content_separator">
                        <property name="orientation">vertical</property>
                        <property name="visible">True</property>
                    </object>
                </child>
                <child>
                    <object class="GtkBox" id="event_view">
                        <property name="orientation">vertical</property>
                        <property name="visible">True</property>
                        <child>
                            <object class="GtkSearchBar" id="event_search">
                                <property name="visible">True</property>
                                <signal name="notify::search-mode-enabled" handler="on_search_bar_notify_search_mode_enabled"/>
                                <child>
                                    <object class="GtkBox" id="search_entry_box">
                                        <property name="orientation">horizontal</property>
                                        <property name="visible">True</property>
                                        <style>
                                            <class name="linked"/>
                                        </style>
                                        <child>
                                            <object class="GtkSearchEntry" id="search_entry">
                                                <property name="visible">True</property>
                                                <signal name="search-changed" handler="on_search_entry_changed" />
                                            </object>
                                        </child>
                                        <child>
                                            <object class="GtkMenuButton" id="search_dropdown_button">
                                                <property name="tooltip-text" translatable="yes">Select journal field and timestamp range filtering options</property>
                                                <property name="visible">True</property>
                                            </object>
                                        </child>
                                    </object>
                                </child>
                            </object>
                        </child>
                        <child>
                            <object class="GtkScrolledWindow" id="event_scrolled">
                                <property name="visible">True</property>
                                <property name="expand">True</property>
                                <child>
                                    <object class="GtkListBox" id="entries_box">
                                        <property name="visible">True</property>
                                        <property name="selection-mode">none</property>
                                    </object>
                                </child>
                            </object>
                        </child>
                    </object>
                </child>
            </object>
        </child>
    </template>
</interface>
